**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/25.3/documents/document-renditions/download-document-rendition-file

# Download Document Rendition File

Download a rendition file from the latest version of a document.

<Endpoint path="/api/{version}/objects/documents/{doc_id}/renditions/{rendition_type}" method="GET" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{rendition_type}` | The document rendition type. |
</FieldTable>

## Query Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `steadyState` | Set to `true` to download a rendition (file) from the latest steady state version (1.0, 2.0, etc.) of a document. |
| `protectedRendition` | If your Vault is configured to use protected renditions, set to `false` to download the non-protected rendition. If omitted, defaults to `true`. You must have the *Download Non-Protected Rendition* permission to download non-protected renditions. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/documents/534/renditions/viewable_rendition__v > file
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS"
}
```
</CodeExample>

## Response Details

On `SUCCESS`, Vault retrieves the file associated with the given renditions type for the document. The HTTP Response Header `Content-Type` is set to `application/octet-stream`.

---

**Previous:** [Retrieve Document Version Renditions](/safety/vault-api/api-reference/25.3/documents/document-renditions/retrieve-document-version-renditions)  
**Next:** [Download Document Version Rendition File](/safety/vault-api/api-reference/25.3/documents/document-renditions/download-document-version-rendition-file)